Bug 817802 - [eap6] Transactions subsystem has children resources not exposed in the plugin
[eap6] Transactions subsystem has children resources not exposed in the plugin
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
Unspecified Unspecified
low Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Stefan Negrea
Mike Foley
Depends On:
Blocks: as7-plugin 821855
  Show dependency treegraph
Reported: 2012-05-01 07:05 EDT by Stefan Negrea
Modified: 2013-08-31 06:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 821855 (view as bug list)
Last Closed: 2013-08-31 06:09:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
eap-transactions-childresources (382.75 KB, image/png)
2012-07-25 09:23 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Stefan Negrea 2012-05-01 07:05:08 EDT
Description of problem:
The transactions subsystem has children resources currently not exposed for configuration by the RHQ plugin. Currently only the subsystem configuration is exposed.

Here is an edited output from the EAP cli with the children structure:

[standalone@localhost:9999 subsystem=transactions] pwd

[standalone@localhost:9999 subsystem=transactions] :read-resource-description(recursive=true)
"children" => {"log-store" => {
     "children" => {"transactions" => {
          "children" => {"participants" => {
Comment 1 Heiko W. Rupp 2012-05-02 08:59:40 EDT
Exposed child data is transient ( runtime information about tx status )
Comment 2 Stefan Negrea 2012-05-14 16:13:39 EDT
Added sub-resources (log-store, transactions, and participants) for transactions subsystems for standalone server, Profile, and managed server resources.

master branch commit:
Comment 3 Armine Hovsepyan 2012-07-25 09:21:54 EDT

only the log-store child resource is visible, while in CLI it has it'w own child resources - transactions and participants.

Please get attached screenshot.
Comment 4 Armine Hovsepyan 2012-07-25 09:23:48 EDT
Created attachment 600298 [details]
Comment 5 Stefan Negrea 2012-08-14 16:10:30 EDT
The screenshot posted in comment #4 shows the resource definition (the template) and not the actual resources available for management. Please use ls and :read-resource() commands to check what children are actually created and available for management for a given resource. 

:read-resource-description() shows the definition of a resource and not the actual resource. Please use this command only to find possible children types, their cardinality, properties and their types, and resource description.

Please retest, no code changes required.
Comment 6 Armine Hovsepyan 2012-08-15 07:55:20 EDT
thanks for detailed answer Stefan.

Comment 7 Heiko W. Rupp 2013-08-31 06:09:27 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.